RIPOLE(1)

NAME
ripole - extracts attachments from OLE2 data files (ie, MS Office docs).

SYNOPSIS
ripole -i <ole2_file> -d <directory> [--save-unknown-streams] [--version|-V] [--verbose|-v] [--debug] [--help|-h]

DESCRIPTION
ripole is a small program/library designed to pull out attachments from OLE2 data files.

It can handle most of Microsoft Office documents like "doc" (Word), "xls" (Excel) or "ppt" (Powerpoint).

OPTIONS

-i <ole2_file>
    Input OLE2 file (usually any Microsoft Office document).

-d <directory>
    Extract attachments to <directory>.

--save-unknown-streams
    Extract unknown attachements too.

--version, -V
    Print ripOLE version.

--verbose, -v
    Print verbose output.

--debug
    Print debugging information.

--help, -h
    Show this help.

EXAMPLE

ripole -i xam-doc1.doc -v -d tmp
Decoding filename=short-XAMIME.dat
Decoding filename=mp71.exe
Decoding filename=MPSetup.exe

SEE ALSO

Homepage: http://www.pldaniels.com/ripole/

AUTHOR

This manual page was written by Adam Cecile <gandalf@le-vert.net> for the Debian system (but may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.